> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/sdk-reference/analytics-sdk/analytics-api/analytics-atomic/gethealth/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # Gethealth GET https://analytics.alephant.io/v1/analytics/health Public probe. Does not require analytics auth. **Success `data`:** `{ "status": "ok", "analyticsChConfigured": boolean }` Reference: https://developers.alephant.io/api-reference/analytics-api/analytics-atomic/gethealth ## Servers - `https://analytics.alephant.io` (Production, default) - `https://analytics-dev.alephant.io` (Development (Test / staging analytics API (analytics-dev).)) ## Response ### 200 - `code` (integer, required) - `message` (string, required) - `data` (AnalyticsHealthData, required) ## Types ### AnalyticsHealthData - `status` (string, required) - `analyticsChConfigured` (boolean, required) ## Examples **Response** ```json { "code": 1, "message": "string", "data": { "status": "string", "analyticsChConfigured": true } } ``` **SDK Code** ```python import requests url = "https://analytics.alephant.io/v1/analytics/health" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://analytics.alephant.io/v1/analytics/health'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://analytics.alephant.io/v1/analytics/health" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://analytics.alephant.io/v1/analytics/health") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://analytics.alephant.io/v1/analytics/health") .asString(); ``` ```php request('GET', 'https://analytics.alephant.io/v1/analytics/health'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://analytics.alephant.io/v1/analytics/health"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://analytics.alephant.io/v1/analytics/health")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```